import { createVNode as __WEBPACK_EXTERNAL_MODULE_vue_createVNode__, h as __WEBPACK_EXTERNAL_MODULE_vue_h__, mergeProps as __WEBPACK_EXTERNAL_MODULE_vue_mergeProps__ } from "vue";

;// external "vue"

;// ../../node_modules/@babel/runtime/helpers/esm/typeof.js
function _typeof(o) {
  "@babel/helpers - typeof";

  return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) {
    return typeof o;
  } : function (o) {
    return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o;
  }, _typeof(o);
}

;// ../../node_modules/@babel/runtime/helpers/esm/toPrimitive.js

function toPrimitive(t, r) {
  if ("object" != _typeof(t) || !t) return t;
  var e = t[Symbol.toPrimitive];
  if (void 0 !== e) {
    var i = e.call(t, r || "default");
    if ("object" != _typeof(i)) return i;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return ("string" === r ? String : Number)(t);
}

;// ../../node_modules/@babel/runtime/helpers/esm/toPropertyKey.js


function toPropertyKey(t) {
  var i = toPrimitive(t, "string");
  return "symbol" == _typeof(i) ? i : i + "";
}

;// ../../node_modules/@babel/runtime/helpers/esm/defineProperty.js

function _defineProperty(e, r, t) {
  return (r = toPropertyKey(r)) in e ? Object.defineProperty(e, r, {
    value: t,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : e[r] = t, e;
}

;// ../../node_modules/@babel/runtime/helpers/esm/objectWithoutPropertiesLoose.js
function _objectWithoutPropertiesLoose(r, e) {
  if (null == r) return {};
  var t = {};
  for (var n in r) if ({}.hasOwnProperty.call(r, n)) {
    if (-1 !== e.indexOf(n)) continue;
    t[n] = r[n];
  }
  return t;
}

;// ../../node_modules/@babel/runtime/helpers/esm/objectWithoutProperties.js

function _objectWithoutProperties(e, t) {
  if (null == e) return {};
  var o,
    r,
    i = _objectWithoutPropertiesLoose(e, t);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(e);
    for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]);
  }
  return i;
}

;// ../../packages/icon/icons/icon.tsx



var _excluded = ["data", "name", "width", "height", "fill"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
/*
 * Tencent is pleased to support the open source community by making
 * 蓝鲸智云PaaS平台社区版 (BlueKing PaaS Community Edition) available.
 *
 * Copyright (C) 2025 Tencent.  All rights reserved.
 *
 * 蓝鲸智云PaaS平台社区版 (BlueKing PaaS Community Edition) is licensed under the MIT License.
 *
 * License for 蓝鲸智云PaaS平台社区版 (BlueKing PaaS Community Edition):
 *
 * ---------------------------------------------------
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of
 * the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
 * THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

function generate(node, key, rootAttrs) {
  return __WEBPACK_EXTERNAL_MODULE_vue_h__(node.name, _objectSpread(_objectSpread({
    key: key
  }, node.attributes), {}, {
    style: "".concat(node.attributes.style, " ").concat(rootAttrs || '')
  }), (node.elements || []).map(function (element, index) {
    return generate(element, "".concat(key, "-").concat(node.name, "-").concat(index));
  }));
}
var bkIcon = function bkIcon(props, context) {
  var _context$attrs$props = _objectSpread(_objectSpread({}, context.attrs), props),
    data = _context$attrs$props.data,
    name = _context$attrs$props.name,
    width = _context$attrs$props.width,
    height = _context$attrs$props.height,
    fill = _context$attrs$props.fill,
    restProps = _objectWithoutProperties(_context$attrs$props, _excluded);
  var rootAttrs = "width: ".concat(width, "; height: ").concat(height, "; fill: ").concat(fill);
  var iconBoxStyle = {
    display: 'inline-flex',
    'align-items': 'center',
    'justify-content': 'center'
  };
  return __WEBPACK_EXTERNAL_MODULE_vue_createVNode__("span", __WEBPACK_EXTERNAL_MODULE_vue_mergeProps__({
    "style": iconBoxStyle
  }, restProps), [generate(data, name, rootAttrs)]);
};
bkIcon.inheritAttrs = false;
bkIcon.displayName = 'bkIcon';
/* harmony default export */ const icon = (bkIcon);
;// ../../packages/icon/icons/loading.tsx


function loading_ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function loading_objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? loading_ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : loading_ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }

var data = JSON.parse('{"type":"element","name":"svg","attributes":{"xmlns":"http://www.w3.org/2000/svg","viewBox":"0 0 1024 1024","style":"width: 1em; height: 1em; vertical-align: middle;fill: currentColor;overflow: hidden;"},"elements":[{"type":"element","name":"path","attributes":{"d":"M332.8 243.2c25.6 25.6 25.6 64 0 89.6-25.6 25.6-64 25.6-89.6 0L217.6 307.2 198.4 288c-25.6-25.6-25.6-64 0-89.6s64-25.6 89.6 0l25.6 25.6L332.8 243.2z","opacity":".1"}},{"type":"element","name":"path","attributes":{"d":"M192 448c38.4 0 64 25.6 64 64S230.4 576 192 576H160 128C89.6 576 64 550.4 64 512s25.6-64 64-64h32H192z","opacity":".15"}},{"type":"element","name":"path","attributes":{"d":"M243.2 691.2c25.6-25.6 64-25.6 89.6 0 25.6 25.6 25.6 64 0 89.6l-25.6 25.6L281.6 832c-25.6 25.6-64 25.6-89.6 0s-25.6-64 0-89.6l25.6-25.6L243.2 691.2z","opacity":".3"}},{"type":"element","name":"path","attributes":{"d":"M448 832c0-38.4 25.6-64 64-64s64 25.6 64 64v32V896c0 38.4-25.6 64-64 64s-64-25.6-64-64v-32V832z","opacity":".45"}},{"type":"element","name":"path","attributes":{"d":"M825.6 825.6c-25.6 25.6-64 25.6-89.6 0l-25.6-25.6 0 0-25.6-25.6c-25.6-25.6-25.6-64 0-89.6s64-25.6 89.6 0l25.6 25.6 25.6 25.6 0 0C851.2 761.6 851.2 806.4 825.6 825.6z","opacity":".6"}},{"type":"element","name":"path","attributes":{"d":"M896 448l-32 128H832c-38.4 0-64-25.6-64-64s25.6-64 64-64H896zM960 512c0 38.4-25.6 64-64 64h-32L896 448C934.4 448 960 473.6 960 512z","opacity":".75"}},{"type":"element","name":"path","attributes":{"d":"M742.4 192c25.6-19.2 64-19.2 83.2 6.4 25.6 25.6 25.6 64 0 89.6l-25.6 25.6-25.6 25.6c-25.6 25.6-64 25.6-89.6 0s-25.6-64 0-89.6","opacity":".9"}},{"type":"element","name":"path","attributes":{"d":"M448 160L576 192c0 38.4-25.6 64-64 64S448 230.4 448 192V160zM512 64c38.4 0 64 25.6 64 64v32H448V128C448 89.6 473.6 64 512 64zM448 160h128V192H448V160z"}}]}');
var loading = function loading(props, context) {
  var p = loading_objectSpread(loading_objectSpread({}, props), context.attrs);
  return __WEBPACK_EXTERNAL_MODULE_vue_createVNode__(icon, __WEBPACK_EXTERNAL_MODULE_vue_mergeProps__(p, {
    "data": data,
    "name": "loading"
  }), null);
};
loading.displayName = 'loading';
loading.inheritAttrs = false;
/* harmony default export */ const icons_loading = (loading);
export { icons_loading as default };
